新手,reatch-native init ***创建一个新项目 怎样修改为es5的版本



  • 很多项目都是es5来编写的 但是自己创建的一个项目是es6的 但是我把index.ios.js全部修改为es5的代码 还是会报错 请问这个怎么弄



  • 解决方法倒是有,但是这样做何必呢,react native向下不兼容,你这么做只能回退版本,而老版本有些bug没修复,所以不推荐



  • 此回复已被删除!

  • administrators

    @北极熊nanook 目前为止的版本仍然完全兼容ES5(官方自己的核心代码都是ES5),也没有计划放弃ES5。



  • 嗯嗯,这个我明白,我理解错了楼主的意思,也可能他在写法上有些地方不对导致他的程序运行报错,例如
    import React from 'React';
    import {
    Platform,
    NativeModules,
    } from 'react-native'


登录后回复